AjaxForm (RichFaces JSF components library 3.2.0.CR3 API)
Keywords: org.ajax4jsf.component.html.AjaxForm class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.component.html
Class AjaxForm

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIForm
                  org.ajax4jsf.component.UIAjaxForm
                      org.ajax4jsf.component.html.AjaxForm

All Implemented Interfaces:
  javax.faces.component.NamingContainer, javax.faces.component.StateHolder, org.ajax4jsf.component.AjaxComponent, org.ajax4jsf.event.AjaxSource

    public class AjaxForm

extends UIAjaxForm

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIComponent
`bindings`

Fields inherited from interface org.ajax4jsf.component.AjaxComponent
`AJAX_COMPONETT_PARAMETER`

Fields inherited from interface javax.faces.component.NamingContainer
`SEPARATOR_CHAR`

Constructor Summary
`AjaxForm()`

Method Summary
`java.lang.String` | `getAccept()`
`java.lang.String` | `getAcceptCharset()`
`java.lang.Object` | `getData()`
`java.lang.String` | `getEnctype()`
`java.lang.String` | `getEventsQueue()`
`java.lang.String` | `getFamily()`
`java.lang.String` | `getFocus()`
`java.lang.String` | `getOnbeforedomupdate()`
`java.lang.String` | `getOncomplete()`
`java.lang.String` | `getOnreset()`
`java.lang.String` | `getOnsubmit()`
`int` | `getRequestDelay()`
`java.lang.Object` | `getReRender()`
`java.lang.String` | `getStatus()`
`java.lang.String` | `getTarget()`
`int` | `getTimeout()`
`boolean` | `isAjaxSingle()`
`boolean` | `isAjaxSubmit()`
`boolean` | `isBypassUpdates()`
`boolean` | `isIgnoreDupResponses()`
`boolean` | `isLimitToList()`
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setAccept(java.lang.String _accept)`
`void` | `setAcceptCharset(java.lang.String _acceptCharset)`
`void` | `setAjaxSingle(boolean _ajaxSingle)`
`void` | `setAjaxSubmit(boolean _ajaxSubmit)`
`void` | `setBypassUpdates(boolean _bypassUpdates)`
`void` | `setData(java.lang.Object _data)`
`void` | `setEnctype(java.lang.String _enctype)`
`void` | `setEventsQueue(java.lang.String _eventsQueue)`
`void` | `setFocus(java.lang.String _focus)`
`void` | `setIgnoreDupResponses(boolean _ignoreDupResponses)`
`void` | `setLimitToList(boolean _limitToList)`
`void` | `setOnbeforedomupdate(java.lang.String _onbeforedomupdate)`
`void` | `setOncomplete(java.lang.String _oncomplete)`
`void` | `setOnreset(java.lang.String _onreset)`
`void` | `setOnsubmit(java.lang.String _onsubmit)`
`void` | `setRequestDelay(int _requestDelay)`
`void` | `setReRender(java.lang.Object _reRender)`
`void` | `setStatus(java.lang.String _status)`
`void` | `setTarget(java.lang.String _target)`
`void` | `setTimeout(int _timeout)`

Methods inherited from class org.ajax4jsf.component.UIAjaxForm
`addAjaxListener, broadcast, getAjaxListeners, processDecodes, processUpdates, processValidators, removeAjaxListener, setupReRender`

Methods inherited from class javax.faces.component.UIForm
`getContainerClientId, isPrependId, isSubmitted, setPrependId, setSubmitted`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getValueExpression, setValueExpression`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

Constructor Detail

### AjaxForm

    public AjaxForm()

Method Detail

### getAccept

    public java.lang.String getAccept()

### setAccept

    public void setAccept(java.lang.String _accept)

### getAcceptCharset

    public java.lang.String getAcceptCharset()

### setAcceptCharset

    public void setAcceptCharset(java.lang.String _acceptCharset)

### isAjaxSingle

    public boolean isAjaxSingle()

### setAjaxSingle

    public void setAjaxSingle(boolean _ajaxSingle)

### isAjaxSubmit

    public boolean isAjaxSubmit()

  Specified by:
    `isAjaxSubmit` in class `UIAjaxForm`

### setAjaxSubmit

    public void setAjaxSubmit(boolean _ajaxSubmit)

  Specified by:
    `setAjaxSubmit` in class `UIAjaxForm`

### isBypassUpdates

    public boolean isBypassUpdates()

### setBypassUpdates

    public void setBypassUpdates(boolean _bypassUpdates)

### getData

    public java.lang.Object getData()

### setData

    public void setData(java.lang.Object _data)

### getEnctype

    public java.lang.String getEnctype()

### setEnctype

    public void setEnctype(java.lang.String _enctype)

### getEventsQueue

    public java.lang.String getEventsQueue()

### setEventsQueue

    public void setEventsQueue(java.lang.String _eventsQueue)

### getFocus

    public java.lang.String getFocus()

### setFocus

    public void setFocus(java.lang.String _focus)

### isIgnoreDupResponses

    public boolean isIgnoreDupResponses()

### setIgnoreDupResponses

    public void setIgnoreDupResponses(boolean _ignoreDupResponses)

### isLimitToList

    public boolean isLimitToList()

### setLimitToList

    public void setLimitToList(boolean _limitToList)

### getOnbeforedomupdate

    public java.lang.String getOnbeforedomupdate()

### setOnbeforedomupdate

    public void setOnbeforedomupdate(java.lang.String _onbeforedomupdate)

### getOncomplete

    public java.lang.String getOncomplete()

### setOncomplete

    public void setOncomplete(java.lang.String _oncomplete)

### getOnreset

    public java.lang.String getOnreset()

### setOnreset

    public void setOnreset(java.lang.String _onreset)

### getOnsubmit

    public java.lang.String getOnsubmit()

### setOnsubmit

    public void setOnsubmit(java.lang.String _onsubmit)

### getReRender

    public java.lang.Object getReRender()

### setReRender

    public void setReRender(java.lang.Object _reRender)

### getRequestDelay

    public int getRequestDelay()

### setRequestDelay

    public void setRequestDelay(int _requestDelay)

### getStatus

    public java.lang.String getStatus()

### setStatus

    public void setStatus(java.lang.String _status)

### getTarget

    public java.lang.String getTarget()

### setTarget

    public void setTarget(java.lang.String _target)

### getTimeout

    public int getTimeout()

### setTimeout

    public void setTimeout(int _timeout)

### getFamily

    public java.lang.String getFamily()

  Overrides:
    `getFamily` in class `javax.faces.component.UIForm`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `javax.faces.component.UIComponentBase`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `javax.faces.component.UIComponentBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.